com.hazelcast.jet.function

## Interface DistributedTriPredicate<T,U,V>

- All Superinterfaces:
    Serializable, TriPredicate<T,U,V>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedTriPredicate<T,U,V>
      extends TriPredicate<T,U,V>, Serializable

  `Serializable` variant of `TriPredicate` which declares checked exception.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default DistributedTriPredicate<T,U,V>` | `and(DistributedTriPredicate<? super T,? super U,? super V> other)` Returns a composite predicate which evaluates the equivalent of `this.test(t, u, v) && other.test(t, u, v)`.
    `default DistributedTriPredicate<T,U,V>` | `negate()` Returns a composite predicate which evaluates the equivalent of `!this.test(t, u, v)`.
    `default DistributedTriPredicate<T,U,V>` | `or(DistributedTriPredicate<? super T,? super U,? super V> other)` Returns a composite predicate which evaluates the equivalent of `this.test(t, u, v) || other.test(t, u, v)`.
    `default boolean` | `test(T t, U u, V v)` Evaluates this predicate with the given arguments.
    `boolean` | `testEx(T t, U u, V v)` Exception-declaring version of `TriPredicate.test(T, U, V)`.

    - ### Methods inherited from interface com.hazelcast.jet.function.TriPredicate

      `and, or`

- - ### Method Detail

    - #### testEx

          boolean testEx(T t,
                         U u,
                         V v)
                  throws Exception

      Exception-declaring version of `TriPredicate.test(T, U, V)`.
      Throws:
        `Exception`

    - #### test

          default boolean test(T t,
                               U u,
                               V v)

      Description copied from interface: `TriPredicate`
      Evaluates this predicate with the given arguments.
      Specified by:
        `test` in interface `TriPredicate<T,U,V>`
      Parameters:
        `t` - the first argument
        `u` - the second argument
        `v` - the third argument
      Returns:
        `true` if predicate evaluated to true, `false` otherwise

    - #### and

          default DistributedTriPredicate<T,U,V> and(@Nonnull
                                                     DistributedTriPredicate<? super T,? super U,? super V> other)

      Returns a composite predicate which evaluates the equivalent of `this.test(t, u, v) && other.test(t, u, v)`.

    - #### negate

          default DistributedTriPredicate<T,U,V> negate()

      Returns a composite predicate which evaluates the equivalent of `!this.test(t, u, v)`.
      Specified by:
        `negate` in interface `TriPredicate<T,U,V>`

    - #### or

          default DistributedTriPredicate<T,U,V> or(@Nonnull
                                                    DistributedTriPredicate<? super T,? super U,? super V> other)

      Returns a composite predicate which evaluates the equivalent of `this.test(t, u, v) || other.test(t, u, v)`.

Copyright © 2018. All rights reserved.